# IntVector

class `psi4.core.``IntVector`

  Bases: `pybind11_builtins.pybind11_object`

  Class handling vectors with integer values

  Methods Summary

  `dim`(self, h) | Returns the number of dimensions per irrep h
  `get`(self, h, m) | Returns a single element value located at m in irrep h
  `nirrep`(self) | Returns the number of irreps
  `print_out`(self) | Prints the vector to the output file
  `set`(self, h, m, val) | Sets a single element value located at m in irrep h

  Methods Documentation

  `dim`(self: psi4.core.IntVector, h: int) → int

    Returns the number of dimensions per irrep h

  `get`(self: psi4.core.IntVector, h: int, m: int) → int

    Returns a single element value located at m in irrep h

  `nirrep`(self: psi4.core.IntVector) → int

    Returns the number of irreps

  `print_out`(self: psi4.core.IntVector) → None

    Prints the vector to the output file

  `set`(self: psi4.core.IntVector, h: int, m: int, val: int) → None

    Sets a single element value located at m in irrep h

  `dim`(self: psi4.core.IntVector, h: int) → int

    Returns the number of dimensions per irrep h

  `get`(self: psi4.core.IntVector, h: int, m: int) → int

    Returns a single element value located at m in irrep h

  `nirrep`(self: psi4.core.IntVector) → int

    Returns the number of irreps

  `print_out`(self: psi4.core.IntVector) → None

    Prints the vector to the output file

  `set`(self: psi4.core.IntVector, h: int, m: int, val: int) → None

    Sets a single element value located at m in irrep h